Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## android.device.scanner.configuration
Enum Symbology

    java.lang.Object
      java.lang.Enum<Symbology>
          android.device.scanner.configuration.Symbology

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Symbology>

    public enum Symbology

extends java.lang.Enum<Symbology>

`Symbology` is an enumeration class defining constants for different barcode types. The type is one of:

CODE39 | Code 39
DISCRETE25 | Discrete 2/5
MATRIX25 | Matrix 2/5
INTERLEAVED25 | Interleaved 2/5
CODABAR | Codabar
CODE93 | Code 93
CODE128 | Code 128
UPCA | UPC-A
UPCE | UPC-E
EAN13 | EAN-13
EAN8 | EAN-8
MSI | MSI
GS1_14 | GS1 Databar-14
GS1_LIMIT | GS1 Databar Limited
GS1_EXP | GS1 Databar Expanded
CODE16K | Code 16K
CODE49 | Code 49
PDF417 | PDF-417
DATAMATRIX | Datamatrix
MAXICODE | Maxicode
TRIOPTIC | Trioptic
CODE32 | Code 32
MICROPDF417 | MicroPDF417
COMPOSITE | Composite Code
QRCODE | QR Code
AZTEC | Aztec Code
POSTAL | Postal Code
POSTAL_PLANET | Postal Planet
POSTAL_POSTNET | Postal Postnet
POSTAL_4STATE | Postal USPS 4-State
POSTAL_UPUFICS | Postal UPU FICS
POSTAL_ROYALMAIL | Postal Royal Mail
POSTAL_AUSTRALIAN | Australian Postal
POSTAL_KIX | Kix Postal
POSTAL_JAPAN | Japan Postal
NONE | No decoded data

Enum Constant Summary
`AZTEC`
`CHINESE25`
`CODABAR`
`CODE11`
`CODE128`
`CODE32`
`CODE39`
`CODE93`
`COMPOSITE_CC_AB`
`COMPOSITE_CC_C`
`DATAMATRIX`
`DISCRETE25`
`EAN13`
`EAN8`
`GS1_128`
`GS1_14`
`GS1_EXP`
`GS1_LIMIT`
`INTERLEAVED25`
`MATRIX25`
`MAXICODE`
`MICROPDF417`
`MSI`
`NONE`
`PDF417`
`POSTAL_4STATE`
`POSTAL_AUSTRALIAN`
`POSTAL_JAPAN`
`POSTAL_KIX`
`POSTAL_PLANET`
`POSTAL_POSTNET`
`POSTAL_ROYALMAIL`
`POSTAL_UPUFICS`
`QRCODE`
`RESERVED_13`
`RESERVED_15`
`RESERVED_16`
`RESERVED_20`
`RESERVED_21`
`RESERVED_27`
`RESERVED_28`
`RESERVED_30`
`RESERVED_33`
`RESERVED_6`
`TRIOPTIC`
`UPCA`
`UPCE`
`UPCE1`

Method Summary
`static Symbology` | `fromInt(int n)` From an integer value, retrieves the corresponding Symbology.
`static Symbology` | `fromOrdinal(int n)` From the ordered enum to Symobology.
`int` | `toInt()` Converts the Symbology to its corresponding integer value.
`static Symbology` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Symbology[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NONE

    public static final Symbology NONE

### CODE39

    public static final Symbology CODE39

### DISCRETE25

    public static final Symbology DISCRETE25

### MATRIX25

    public static final Symbology MATRIX25

### INTERLEAVED25

    public static final Symbology INTERLEAVED25

### CODABAR

    public static final Symbology CODABAR

### RESERVED_6

    public static final Symbology RESERVED_6

### CODE93

    public static final Symbology CODE93

### CODE128

    public static final Symbology CODE128

### UPCA

    public static final Symbology UPCA

### UPCE

    public static final Symbology UPCE

### EAN13

    public static final Symbology EAN13

### EAN8

    public static final Symbology EAN8

### RESERVED_13

    public static final Symbology RESERVED_13

### MSI

    public static final Symbology MSI

### RESERVED_15

    public static final Symbology RESERVED_15

### RESERVED_16

    public static final Symbology RESERVED_16

### GS1_14

    public static final Symbology GS1_14

### GS1_LIMIT

    public static final Symbology GS1_LIMIT

### GS1_EXP

    public static final Symbology GS1_EXP

### RESERVED_20

    public static final Symbology RESERVED_20

### RESERVED_21

    public static final Symbology RESERVED_21

### PDF417

    public static final Symbology PDF417

### DATAMATRIX

    public static final Symbology DATAMATRIX

### MAXICODE

    public static final Symbology MAXICODE

### TRIOPTIC

    public static final Symbology TRIOPTIC

### CODE32

    public static final Symbology CODE32

### RESERVED_27

    public static final Symbology RESERVED_27

### RESERVED_28

    public static final Symbology RESERVED_28

### MICROPDF417

    public static final Symbology MICROPDF417

### RESERVED_30

    public static final Symbology RESERVED_30

### QRCODE

    public static final Symbology QRCODE

### AZTEC

    public static final Symbology AZTEC

### RESERVED_33

    public static final Symbology RESERVED_33

### POSTAL_PLANET

    public static final Symbology POSTAL_PLANET

### POSTAL_POSTNET

    public static final Symbology POSTAL_POSTNET

### POSTAL_4STATE

    public static final Symbology POSTAL_4STATE

### POSTAL_UPUFICS

    public static final Symbology POSTAL_UPUFICS

### POSTAL_ROYALMAIL

    public static final Symbology POSTAL_ROYALMAIL

### POSTAL_AUSTRALIAN

    public static final Symbology POSTAL_AUSTRALIAN

### POSTAL_KIX

    public static final Symbology POSTAL_KIX

### POSTAL_JAPAN

    public static final Symbology POSTAL_JAPAN

### GS1_128

    public static final Symbology GS1_128

### COMPOSITE_CC_C

    public static final Symbology COMPOSITE_CC_C

### COMPOSITE_CC_AB

    public static final Symbology COMPOSITE_CC_AB

### CHINESE25

    public static final Symbology CHINESE25

### CODE11

    public static final Symbology CODE11

### UPCE1

    public static final Symbology UPCE1

Method Detail

### values

    public static Symbology[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Symbology c : Symbology.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Symbology valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### fromOrdinal

    public static Symbology fromOrdinal(int n)

  From the ordered enum to Symobology.

  Returns:
    Symbology the corresponding one.

### fromInt

    public static Symbology fromInt(int n)

  From an integer value, retrieves the corresponding Symbology.

  Parameters:
    `n` - `int`
  Returns:
    Symbology the corresponding Symbology.

### toInt

    public int toInt()

  Converts the Symbology to its corresponding integer value.

  Returns:
    int representing a Symbology value.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD